> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set status (/api/v1/payment-obligations/&#123;id&#125;/status)

> Set status (/api/v1/payment-obligations/&#123;id&#125;/status)

### Path parameters

<ParamField path="id" type="string" required>
  Payment obligation ID
</ParamField>

### Request body

`SetStatusRequest`

<ParamField body="error_message" type="string,null" />

<ParamField body="status" type="string" required>
  `pending`, `sent`, `acknowledged`, `processed`, `error`.
</ParamField>

### Responses

<ResponseField name="200" type="PaymentObligationResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/payment-obligations/{id}/status' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "error_message": null,
    "status": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "amount": "string",
    "amount_paid": "string",
    "currency": "string",
    "due_date": "string",
    "id": "string",
    "number": "string",
    "outstanding": "string",
    "status": "string",
    "supplier_id": "string"
  }
  ```
</ResponseExample>
